// Vertex shader
struct InstanceInput {
	@location(2) position: vec2<f32>,
};

struct VertexOutput {
	@builtin(position) clip_position: vec4<f32>,
}

@vertex
fn vertex_shader_main(
	instance: InstanceInput,
) -> VertexOutput {
	// Stars consist of only one vertex, so we don't need to pass a buffer into this shader.
	// We need one instance per star, and that's it!
	var out: VertexOutput;
	out.clip_position = vec4<f32>(instance.position, 0.0, 1.0);
	return out;
}

// Fragment shader
@fragment
fn fragment_shader_main(in: VertexOutput) -> @location(0) vec4<f32> {
	return vec4<f32>(1.0, 1.0, 1.0, 1.0);
}